This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 125393 - (TBa2fae8d6) TB system-control-network:283:hydrate:AttributeError: 'NoneType' object has no attribute 'clear'
TB system-control-network:283:hydrate:AttributeError: 'NoneType' object has n...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
2
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Harald Hoyer
:
: 126359 128956 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-05 23:04 EDT by Cameron Walsh
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version: 1.3.26-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-16 10:28:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dump from system-config-network after exception (540 bytes, text/plain)
2004-06-05 23:06 EDT, Cameron Walsh
no flags Details

  None (edit)
Description Cameron Walsh 2004-06-05 23:04:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
If I activate a modem connection from network configuration section of
system-config-network the modem will dial and connect normally, but
then throw an exception (but it stays connected)

I do not get the exception if I connect through the Network Device
Control section of the same program.  I have to enter the root
password to access the network configuration section, but not the
network device control section.

Version-Release number of selected component (if applicable):
system-config-network-1.3.16-1

How reproducible:
Always

Steps to Reproduce:
1. Open network device control
2. Select dialup modem connection and click 'configure'
3. Select dialup modem connection and click 'activate'
    

Actual Results:  Dial up as normal
Connect as normal
Throw Exception
Stays connected

Expected Results:  Dial up as normal
Connect as normal
Stays connected

Additional info:
Comment 1 Cameron Walsh 2004-06-05 23:06:47 EDT
Created attachment 100899 [details]
Dump from system-config-network after exception
Comment 2 Harald Hoyer 2004-06-07 04:45:23 EDT
Component: system-config-network
Version: 1.3.16
Summary: TBa2fae8d6 system-control-network:283:hydrate:AttributeError:
'NoneTyp
e' object has no attribute 'clear'
Traceback (most recent call last):
  File "/usr/bin/system-control-network", line 411, in update_dialog
    self.hydrate()
  File "/usr/bin/system-control-network", line 283, in hydrate
    clist.clear()
AttributeError: 'NoneType' object has no attribute 'clear'

Local variables in innermost frame:
clist: None
self: <__main__.mainDialog instance at 0xf6c0d5ac>
refresh: None
Comment 3 Harald Hoyer 2004-06-07 04:48:01 EDT
first fix: do not close system-control-network, after you pressed the
"configure" button, or call system-config-network directly!
Comment 4 Emmanuel Druon 2004-06-10 05:10:11 EDT
There seems to be a problem with the creation of multiple profiles.
When you create new profiles, files are all linked together as far as
ethernet and wireless devices are concerned and when you change a
configuration in one profile, all the profiles are changed. This
problem is of course not solved when you use the command line version.

I also confirm the crash when switching profiles.
Comment 5 Harald Hoyer 2004-06-21 04:47:41 EDT
*** Bug 126359 has been marked as a duplicate of this bug. ***
Comment 6 Harald Hoyer 2004-08-16 06:05:19 EDT
*** Bug 128956 has been marked as a duplicate of this bug. ***
Comment 7 Colin Teubner 2004-08-23 19:30:52 EDT
Confirmed bug on x86_64.
Comment 8 Harald Hoyer 2004-08-27 08:45:16 EDT
potential fix in FC3 development tree for testing purposes
Comment 9 Matthew Miller 2005-04-26 12:25:10 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Note You need to log in before you can comment on or make changes to this bug.